Bug 42949 - Target Android Google Play Services component out of date
Summary: Target Android Google Play Services component out of date
Status: RESOLVED FIXED
Alias: None
Product: Components
Classification: Xamarin
Component: Xamarin Components ()
Version: Production (addons.xamarin.com)
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Jon Dick
URL:
Depends on:
Blocks:
 
Reported: 2016-08-01 06:39 UTC by michael
Modified: 2017-09-28 15:01 UTC (History)
1 user (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description michael 2016-08-01 06:39:51 UTC
The version of Google Play Services that is being targeted by the Xamarin Google is out of date. For instance, one of the new features added by Google in late June was the ability to set the z-index of a marker, which isn't currently available
Comment 1 michael 2016-09-13 01:29:26 UTC
We are trying to use the preview version of the nuget packages related to Google Play Services that exposes the z-indexing method. Currently we are getting an error when the code is being built

2>C:\Program Files (x86)\MSBuild\Xamarin\Android\Xamarin.Android.Common.targets(387,2): error XA5207: Please install package: 'GPS Tasks' available in SDK installer. Java library file C:\Users\MichaelBui\AppData\Local\Xamarin\Xamarin.GooglePlayServices.Tasks\9.4.0\embedded\classes.jar doesn't exist.
2>C:\Program Files (x86)\MSBuild\Xamarin\Android\Xamarin.Android.Common.targets(387,2): error XA5206: Please install package: 'GPS Tasks' available in SDK installer. Android resource directory C:\Users\MichaelBui\AppData\Local\Xamarin\Xamarin.GooglePlayServices.Tasks\9.4.0\embedded\./ doesn't exist.

We have noticed that the whilst Xamarin.GooglePlayServices.Base, .Basement, .Gcm and .Maps have versions 32.4.0-beta2, the Measurement package doesn't a matching version.
Comment 2 michael 2016-09-13 02:18:45 UTC
Forgot to add, are you able to assist with this issue?
Comment 3 michael 2016-09-18 23:36:50 UTC
Managed to find out the issue, the google play services tasks nuget package wasn't pulled down as a dependency when updating the nuget packages. Uninstalling and reinstalling the packages did however pull down the dependency.
Comment 4 Jon Dick 2017-09-28 15:01:01 UTC
This is fixed in newer versions of play services